Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044564
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Retail APImajoralways2020-07-06 18:102020-08-11 14:23
Reportersebastien_lironView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Versionpi
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionpiSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044564: Export order works one time, then show an error message

DescriptionThe export order works the first time ( reatil API ) and then will show this error message :

{
  "response": {
    "status": -1,
    "error": {
      "message": "Request CSRF Token does not match with the one provided by Session",
      "messageType": "Error",
      "title": ""
    },
    "totalRows": 0
  }
}

It is the same with postman by example.
Steps To Reproducehttps://livebuilds.openbravo.com/retail_modules_pgsql_pi/api?urls.primaryName=exportorder#/Paid%20Receipts%20Web%20Service/get%20an%20order%20information [^]

Go to try it out

Click on execute => should show the list of orders the first time
Click again on execute => show the error

It is also possible to create the POST request via postman, same behaviour.
Proposed SolutionAttached a proposed solution to be validated by the Retail team
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2020-07-06 18-00-54.png [^] (77,284 bytes) 2020-07-06 18:10


diff file icon 44564.diff [^] (637 bytes) 2020-07-13 10:33 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121412)
hgbot (developer)
2020-07-13 10:56

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/32 [^]
(0121921)
hgbot (developer)
2020-08-09 04:16

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/50 [^]
(0121936)
hgbot (developer)
2020-08-10 11:55

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/50 [^]
(0121937)
hgbot (developer)
2020-08-10 11:55

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: c9c8815d52435b521dd1805c532c71bc99dd5d34
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-08-09T07:44:49+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/c9c8815d52435b521dd1805c532c71bc99dd5d34 [^]

Fixed ISSUE-44564: Added Stateless Authentication for ExportOrder Webservice

---
M src/org/openbravo/retail/posterminal/ExportOrder.java
---
(0121985)
sebastien_liron (developer)
2020-08-11 14:23

Can we have that backport in release/20Q3 please ?

- Issue History
Date Modified Username Field Change
2020-07-06 18:10 sebastien_liron New Issue
2020-07-06 18:10 sebastien_liron Assigned To => Retail
2020-07-06 18:10 sebastien_liron File Added: Screenshot from 2020-07-06 18-00-54.png
2020-07-06 18:10 sebastien_liron Triggers an Emergency Pack => No
2020-07-07 07:20 guillermogil Severity critical => major
2020-07-13 10:33 caristu File Added: 44564.diff
2020-07-13 10:34 caristu Proposed Solution updated
2020-07-13 10:56 hgbot Note Added: 0121412
2020-07-24 08:32 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-08-05 10:55 ranjith_qualiantech_com Status new => scheduled
2020-08-09 04:16 hgbot Note Added: 0121921
2020-08-10 11:55 hgbot Resolution open => fixed
2020-08-10 11:55 hgbot Status scheduled => closed
2020-08-10 11:55 hgbot Note Added: 0121936
2020-08-10 11:55 hgbot Fixed in Version => RR20Q4
2020-08-10 11:55 hgbot Note Added: 0121937
2020-08-11 14:23 sebastien_liron Note Added: 0121985


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker